;******************************************************************************
;nderung von TEXTEN auf eine gewnschte, gleiche TEXTHHE
;******************************************************************************
(defun c:HOEHE (/ aws txh txb n index ent txaws oldsize newsize ent)
(command "_undo" "m")(terpri)(terpri)
(defun *error* (msg)(princ))
(setvar "cmdecho" 0)
(princ "\nFr nderung von Text-Hhen die ")
(setq aws (ssget (list (cons -4 "<or")
                        (cons  0 "TEXT")
                        (cons  0 "MTEXT")
                    ;;;(cons  0 "DIMENSION")
                    ;;;(cons  0 "ATTDEF")
                        (cons -4 "or>")
)        )      )
(setq n (sslength aws))
(setq txh (getdist "\nGeben Sie den neue Texthhe ein: "))
(setq index 0)
(repeat n
  (setq ent (entget (ssname aws index)))
  (setq index (+ 1 index))
  (setq txaws (assoc 0 ent))
  (setq ent (subst (cons 40 txh) (assoc 40 ent) ent))
  (entmod ent)
)
(princ)
)
;******************************************************************************
;nderung von TEXTEN auf eine gewnschte, gleiche TEXTBREITE
;******************************************************************************
(defun c:BREITE (/ aws txb n index ent txaws oldsize newsize ent)
(command "_undo" "m")(terpri)(terpri)
(defun *error* (msg)(princ))
(setvar "cmdecho" 0)
(princ "\nFr nderung von Text-Breiten die ")
(setq aws (ssget (list (cons -4 "<or")
                        (cons  0 "TEXT")
                        (cons  0 "MTEXT")
                    ;;;(cons  0 "DIMENSION")
                    ;;;(cons  0 "ATTDEF")
                        (cons -4 "or>")
)        )      )
(setq n (sslength aws))
(setq txb (getdist "\nGeben Sie den neuen Breitenfaktor ein: "))
(setq index 0)
(repeat n
  (setq ent (entget (ssname aws index)))
  (setq index (+ 1 index))
  (setq txaws (assoc 0 ent))
  (setq oldsize (assoc 41 ent))
  (setq newsize (cons (car oldsize) txb))
  (setq ent (subst newsize oldsize ent))
  (entmod ent)
)
(princ)
)
;*****************************************************************************
;VARIA von Objekten die einen definierten Einfgepunkt haben.
;(Texte, Blcke, Kreise ect.)
;******************************************************************************
(defun c:VARIA-E (/ faktor aus n i nam ins)
(terpri)(terpri)
(setvar "cmdecho" 0)
(princ "\nDer VARIA-BASIS-PUNKT ... ist der jeweilige Objekt-Einfgepunkt.")
(setq faktor (getreal "\nVergrerungsfaktor fr die Objekte: "))
;-----Auswaehlen---------------------------------------------------------------
(setq aus (ssget) as aus) ;aus=Auswahl der Elemente
(setq n (sslength aus)) ;n=Anzahl der Elemente (max)
(command "bks" "w")
(setq i 0) ;Zaehler auf 0
;-----Bearbeiten---------------------------------------------------------------
(setvar "cmdecho" 0)
(while (< i n) ;solange wie Zaehler < max
  (setq nam (ssname aus i)) ;jedem i aus Auswahl einen Namen
  (setq ins (cdr (assoc 10 (entget nam))))
  (command "varia" nam "" ins faktor) ;nam=nur ein Element
  (setq i(1+ i)) ;Zaehler eins weiter
) ;while
(command "bks" "vo")
(princ)
) ;defun
;******************************************************************************
;DREHEN von Objekten die einen definierten Einfgepunkt haben.
;(Texte, Blcke, Kreise ect.)
;******************************************************************************
(defun c:DREHEN-E (/ faktor aus n i nam ins)
(terpri)(terpri)
(setvar "cmdecho" 0)
(princ "\nDer DREHEN-BASIS-PUNKT ... ist der jeweilige Objekt-Einfgepunkt.")
(setq drehwink (getreal "\nDrehwinkel fr die Objekte: "))
;-----Auswaehlen---------------------------------------------------------------
(setq aus (ssget) as aus) ;aus=Auswahl der Elemente
(setq n (sslength aus)) ;n=Anzahl der Elemente (max)
(command "bks" "w")
(setq i 0) ;Zaehler auf 0
;-----Bearbeiten---------------------------------------------------------------
(setvar "cmdecho" 0)
(while (< i n) ;solange wie Zaehler < max
  (setq nam (ssname aus i)) ;jedem i aus Auswahl einen Namen
  (setq ins (cdr (assoc 10 (entget nam))))
  (command "drehen" nam "" ins drehwink) ;nam=nur ein Element
  (setq i(1+ i)) ;Zaehler eins weiter
) ;while
(command "bks" "vo")
(princ)
) ;defun
;******************************************************************************